## ev-document-transition ev-document-transition |

## Synopsis

    #define             EV_DOCUMENT_TRANSITION_IFACE        (k)
    #define             EV_IS_DOCUMENT_TRANSITION_IFACE     (k)
                        EvDocumentTransition;
                        EvDocumentTransitionIface;
    gdouble             ev_document_transition_get_page_duration
                                                            (EvDocumentTransition *document_trans,
                                                             gint page);
    EvTransitionEffect* ev_document_transition_get_effect   (EvDocumentTransition *document_trans,
                                                             gint page);

## Description

## Details

### EV_DOCUMENT_TRANSITION_IFACE()

    #define EV_DOCUMENT_TRANSITION_IFACE(k)	       (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_TRANSITION, EvDocumentTransitionIface))

`k` : |

### EV_IS_DOCUMENT_TRANSITION_IFACE()

    #define EV_IS_DOCUMENT_TRANSITION_IFACE(k)     (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_TRANSITION))

`k` : |

### EvDocumentTransition

    typedef struct _EvDocumentTransition EvDocumentTransition;

### EvDocumentTransitionIface

    typedef struct {
    	GTypeInterface base_iface;

    	/* Methods  */
    	gdouble              (* get_page_duration) (EvDocumentTransition *document_trans,
    						    gint                  page);
    	EvTransitionEffect * (* get_effect)        (EvDocumentTransition *document_trans,
    						    gint                  page);
    } EvDocumentTransitionIface;

### ev_document_transition_get_page_duration ()

    gdouble             ev_document_transition_get_page_duration
                                                            (EvDocumentTransition *document_trans,
                                                             gint page);

`document_trans` : |
`page` : |
Returns : |

### ev_document_transition_get_effect ()

    EvTransitionEffect* ev_document_transition_get_effect   (EvDocumentTransition *document_trans,
                                                             gint page);

`document_trans` : |
`page` : |
Returns : |